Subject: Re: bug#54069: [PATCH 0/2] gnu: pciutils: Unbundle pci.ids and use latest.

From: Brendan Tildesley <[email-masked]>
Date: Tue, 22 Feb 2022 09:40:25 +0100 (CET)

> On 02/21/2022 8:40 PM Maxim Cournoyer <[email-masked]> wrote:
> 
>  
> Hi,
> 
> Brendan Tildesley <[email-masked]> writes:
...
> It seems to me perhaps a more proper fix would be to have hwdata used as
> an input, replacing the bundled copy of the pci.ids file file, and then
> letting pciutils proceed as usual?  Disabling compression makes the
> database about 4.3 times larger (1.2 MiB instead of 0.273 MiB).
> 

I mistakenly thought they were not gzip'd in the first place.
Should we have a separate output/package for each of the 3 files, and then 
embed their paths as needed?

> I feel like applications parsing pci.ids themselves should probably rely
> on the pciutils library API instead (libpci.so) to retrieve or filter
> PCI identifiers without being concerned with the actual format of the
> database.
> 

libosinfo also pulls in its own pci.ids. I searched nix and found there are
several more programs that refer to the files directly.

> What do others think?
> Maxim